
/**
 * Пример использования класса StringBuilder
 * */
public class Main {
    public static void main(String[] args) {
        String s = "test";

        /*Формируем объект stringBuilder по строке s*/
        StringBuilder stringBuilder = new StringBuilder(s);

        /*
          Эта строчка равносильна следующей стороке:
          System.out.println("Конструирование объекта: " + stringBuilder.toString());
        */
        System.out.println("Конструирование объекта: " + stringBuilder);

        /*Добавляем в конец строку и выводим результат*/
        stringBuilder.append(" abacaba");
        System.out.println("Применение функции append: " + stringBuilder);

        /*Удаляем с 1 по 2 символы и выводим результат*/
        stringBuilder.delete(1, 3);
        System.out.println("Применение функции delete: " + stringBuilder);

        /*Удаляем 7 символ и выводим результат*/
        stringBuilder.deleteCharAt(7);
        System.out.println("Применение функции deleteCharAt: " + stringBuilder);

        /*Заменяем подстроку tt на строку test и выводим результат*/
        stringBuilder.replace(0, 2, "test");
        System.out.println("Применение функции replace: " + stringBuilder);

        /*Вставляем в 9 позицию символ a и выводим результат*/
        stringBuilder.insert(9, "a");
        System.out.println("Применение функции insert: " + stringBuilder);

        /*Переворачиваем строку и выводим результат*/
        stringBuilder.reverse();
        System.out.println("Применение функции reverse: " + stringBuilder);
    }
}
